#include "StdAfx.h"
#include "MhsCygNode.h"
//#using <mscorlib.dll>

MhsCygNode::MhsCygNode(int cyg_idx_In, int picID)
{	cyg_idx = cyg_idx_In;
	StringBuilder __gc* sb = new StringBuilder();
	sb->Append("cyg");
	sb->Append(cyg_idx);

	this->set_Text(sb->ToString());
	this->set_ImageIndex(picID);
}

MhsCygNode::MhsCygNode(int cyg_idx_In)
{	cyg_idx = cyg_idx_In;
	StringBuilder __gc* sb = new StringBuilder();
	sb->Append("cyg");
	sb->Append(cyg_idx);
	this->set_Text(sb->ToString());
}

MhsCygNode::~MhsCygNode(void)
{
}

MhsCygNode::getIdx()
{	return this->cyg_idx;
}